Bug 1124795 - Creating vm from sdk fails due to "TypeError: export()"
Summary: Creating vm from sdk fails due to "TypeError: export()"
Keywords:
Status: CLOSED DUPLICATE of bug 1122546
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-sdk
Version: 3.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.5.0
Assignee: Juan Hernández
QA Contact: Pavel Stehlik
URL:
Whiteboard: virt
Depends On:
Blocks: 1073943
TreeView+ depends on / blocked
 
Reported: 2014-07-30 10:33 UTC by Ori Gofen
Modified: 2016-05-26 01:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-11 16:35:21 UTC
oVirt Team: Virt


Attachments (Terms of Use)

Description Ori Gofen 2014-07-30 10:33:10 UTC
Description of problem:

creating vm from py-sdk fails with message:

Traceback (most recent call last):
  File "<input>", line 1, in <module>
  File "/usr/lib/python2.6/site-packages/ovirtsdk/infrastructure/brokers.py", line 22895, in add
    body=ParseHelper.toXml(vm),
  File "/usr/lib/python2.6/site-packages/ovirtsdk/utils/parsehelper.py", line 74, in toXml
    entity.export(output, 0, name_=ParseHelper.getXmlTypeInstance(type_name))
  File "/usr/lib/python2.6/site-packages/ovirtsdk/xml/params.py", line 20933, in export
    self.exportChildren(outfile, level + 1, namespace_, name_, pretty_print=pretty_print)
  File "/usr/lib/python2.6/site-packages/ovirtsdk/xml/params.py", line 20979, in exportChildren
    self.template.export(outfile, level, namespace_, name_='template', pretty_print=pretty_print)
TypeError: export() takes at most 3 non-keyword arguments (4 given)

this affects all my py-scripts and, of-course ,art.

code executed:

>>> param=params.VM(name='class_is_broken',cluster=api.clusters.list()[0],template=api.templates.get(name='Blank'))
>>> api.vms.add(param)
Traceback (most recent call last):
  File "<input>", line 1, in <module>
  File "/usr/lib/python2.6/site-packages/ovirtsdk/infrastructure/brokers.py", line 22895, in add ...

when trying to execute instead:

>>> tmp=params.Template(name='Blank')
>>> param=params.VM(name='class_is_broken',cluster=api.clusters.list()[0],template=tmp)
>>> api.vms.add(param)

the object successfully created
Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
see description

Actual results:
operation of creating vm fails from sdk,this breaks all of my scripts

Expected results:
operation should be successful 

Additional info:

Comment 1 Ravi Nori 2014-08-11 16:35:21 UTC

*** This bug has been marked as a duplicate of bug 1122546 ***


Note You need to log in before you can comment on or make changes to this bug.